{ sources ? import ./nix/sources.nix
, poetry2nix-olay ? import
    "${sources.poetry2nix}/overlay.nix"
, nixpkgs ? sources.nixpkgs
}:

let
  common-deps = import ./common-deps.nix { inherit sources; };
  labelmaker-common-deps = import ./labelmaker/common-deps.nix { inherit sources; };
  pkgs = import nixpkgs { overlays = [ poetry2nix-olay ]; };

  spejstore-env = pkgs.poetry2nix.mkPoetryEnv {
    projectDir = ./.;
  };
in
pkgs.mkShell {
  DOCKER_BUILDKIT = 1;
  COMPOSE_DOCKER_CLI_BUILD = 1;
  nativeBuildInputs = with pkgs; [
    spejstore-env
    poetry
    bundix
  ] ++ common-deps ++ labelmaker-common-deps;
}
