{ sources ? import ./nix/sources.nix
, poetry2nix-olay ? import
    # ../poetry2nix/overlay.nix
    "${sources.poetry2nix}/overlay.nix"
, nixpkgs ? sources.nixpkgs
}:
let
  common-deps = import ./common-deps.nix { inherit sources; };
  pkgs = import nixpkgs { overlays = [ poetry2nix-olay ]; };
  src = ./.;
  poetry-app = pkgs.poetry2nix.mkPoetryApplication {
    projectDir = src;
  };
  dep-env = poetry-app.dependencyEnv;
  manage-py = pkgs.writeScriptBin "manage-py" ''
    cd ${src}
    ${dep-env}/bin/python manage.py $@
  '';
in
manage-py
